Mailinglist Archive: opensuse (1897 mails)

< Previous Next >
[opensuse] Executable build on Opensuse 11.2 desktop version NOT working on server/default version
  • From: Devarajan Narayanan <kn.devarajan@xxxxxxxxx>
  • Date: Tue, 6 Jul 2010 23:30:29 +0530
  • Message-id: <AANLkTimGKAQ4KT51PdSYU2HHhxuxx00JWqEBgc0_4ZOa@xxxxxxxxxxxxxx>
Hi All,

As per Andreas suggestion forwarding this mail chain below to the group.
Please correct me if I am wrong or unclear in the details given below.

Regards,
Deva.

============================================================================================================
Hi Andreas,

Thanks a lot for the response.

What I presume (rather what I see in the net) is there are two flavors
of opensuse "Desktop version" and "Server Version".
Also I presume that the differentiation between this is shown in the
output of uname -a
Eg: In uname -a outputs below
(1) shows "-desktop" indicating desktop version
(2) shows "-default" indicating server version.
-----------------------------------------------------------------------------------------------------------------------------
(1) 2.6.31.12-0.2-desktop #1 SMP PREEMPT 2010-03-16 21:25:39 +0100
x86_64 x86_64 x86_64 GNU/Linux
(2) 2.6.31.12-0.2-default #1 SMP 2010-03-16 21:25:39 +0100 x86_64
x86_64 x86_64 GNU/Linux
-----------------------------------------------------------------------------------------------------------------------------
But both are opensuse 11.2 kernel version "2.6.12-0.2"


The error when executable is run:
speb20:~ # /usr/local/bin/chem_sli.ko.1
-bash: /usr/local/bin/chem_sli.ko.1: cannot execute binary file
speb20:~ #

dmesg output is below
[77179.616965] chem_sli: disagrees about version of symbol module_layout
[77227.253793] chem_sli: disagrees about version of symbol module_layout

Let me know if you need any other details.

Regards,
Deva.

On Tue, Jul 6, 2010 at 8:17 PM, Andreas Jaeger <aj@xxxxxxxxxx> wrote:

On Tuesday 06 July 2010 16:42:11 Devarajan Narayanan wrote:
Hi All,

  An executable build on Opensuse 11.2 desktop version NOT working on
server/default version (Though even the kernel version is same).

What do you mean with server/default version?  Just the -default kernel but
otherwise the same openSUSE 11.2?

  The build system is "2.6.31.12-0.2-*desktop* #1 SMP PREEMPT
2010-03-16 21:25:39 +0100 x86_64 x86_64 x86_64 GNU/Linux".

  The system on which the exe is not working is
"2.6.31.12-0.2-*default* #1 SMP 2010-03-16 21:25:39 +0100 x86_64
x86_64 x86_64 GNU/Linux".

  Would like to know why this happens and is there any method to
resolve the same.

How does it fail?  What error message do you get? What does dmesg show when
the application fails?

Andreas
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups